var gulp        = require('gulp');
var del         = require('del');
var runSequence = require('run-sequence');

// require config
var config = require('engine-napak-config');
// Cleaning dist (With gulp-cache)

gulp.task('reset:all', function (event) {
    runSequence(
        ['reset:development', 'reset:assets', 'reset:views'],
        event
    );
});
gulp.task('reset:development', function (event) {
    del.sync(config.path.development.folder);
    event()
});

gulp.task('reset:assets', function (event) {
    del.sync([config.path.source.assets.fonts.folder + "/*", !config.path.source.assets.fonts.folder + '/.keep']);
    del.sync([config.path.source.assets.images.folder + "/*", !config.path.source.assets.images.folder + '/.keep']);
    del.sync(config.path.source.assets.javascripts.file);
    del.sync(config.path.source.assets.stylesheets.file);
    event()
});
gulp.task('reset:views', function (event) {
    del.sync(config.path.source.views.layouts.file);
    del.sync(config.path.source.views.modules.file);
    del.sync(config.path.source.views.pages.file);
    event()
});

gulp.task('seed:simple', function () {
    gulp.src(config.path.seed + "/fav_icon.png")
        .pipe(gulp.dest(config.path.source.assets.images.folder));
    gulp.src(config.path.seed + "/index.html")
        .pipe(gulp.dest(config.path.source.views.pages.folder));
    gulp.src(config.path.seed + "/index.scss")
        .pipe(gulp.dest(config.path.source.assets.stylesheets.pages.folder));
    gulp.src(config.path.seed + "/layout.html")
        .pipe(gulp.dest(config.path.source.views.layouts.folder));
    gulp.src(config.path.seed + "/package.json")
        .pipe(gulp.dest("./"));
    gulp.src(config.path.seed + "/script.js")
        .pipe(gulp.dest(config.path.source.assets.javascripts.folder));
    gulp.src(config.path.seed + "/style.sass")
        .pipe(gulp.dest(config.path.source.assets.stylesheets.folder));
});
